using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시판 정렬 조건
/// </summary>
public enum BoardSort : byte
{
    [Display(Name = "최신순")]
    CreatedAt = 0,

    [Display(Name = "조회순")]
    Views = 1,

    [Display(Name = "댓글순")]
    Comments = 2,

    [Display(Name = "공감순")]
    Likes = 3
}